Bug 1293037 - Network information assigned incorrectly for ppp interface on PPTP VPN
Network information assigned incorrectly for ppp interface on PPTP VPN
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 09:26 EST by Bruno Larini
Modified: 2016-12-20 12:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:11:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Larini 2015-12-19 09:26:59 EST
Upon connecting to a PPTP VPN, after configuring it with default options through Gnome Control Center, network information acquired by VPN's DHCP is assigned incorrectly to the interface, leaving the whole remote network unreachable.

The output for "ip route show" is:
192.168.0.134 dev ppp0  proto kernel  scope link  src 192.168.0.134  metric 50

when it should be:
192.168.0.0/24 dev ppp0  proto kernel  scope link  src 192.168.0.134  metric 50

The current workaround is to add that information manually:
# ip route add 192.168.0.0/24 dev ppp0 proto kernel scope link src 192.168.0.134 metric 50

This happens on Fedora 23 and the following packages:

NetworkManager-1.0.6-8.fc23.x86_64
NetworkManager-pptp-1.1.0-2.20150428git695d4f2.fc23.x86_64
NetworkManager-pptp-gnome-1.1.0-2.20150428git695d4f2.fc23.x86_64
pptp-1.8.0-7.fc23.x86_64
dhcp-client-4.3.3-6.fc23.x86_64
Comment 1 Fedora End Of Life 2016-11-24 09:22:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:11:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.